summaryrefslogtreecommitdiff
path: root/meta-google/recipes-google/test/test-sh/test.sh
diff options
context:
space:
mode:
authorJason M. Bills <jason.m.bills@linux.intel.com>2021-05-24 22:35:24 +0300
committerJason M. Bills <jason.m.bills@linux.intel.com>2021-05-24 22:35:24 +0300
commit0e0df451ae365f09d5c0c766b253f23de26901f2 (patch)
treedb4d7d3ce85e02ee01ad58a86ede02ac876aae77 /meta-google/recipes-google/test/test-sh/test.sh
parente370fd750e2821620ec427f26f8efab0069824ff (diff)
parent7e10dee74964afa47859704886128dd256acf854 (diff)
downloadopenbmc-0e0df451ae365f09d5c0c766b253f23de26901f2.tar.xz
Merge tag '0.52' of ssh://git-amr-1.devtools.intel.com:29418/openbmc-openbmc into update
Diffstat (limited to 'meta-google/recipes-google/test/test-sh/test.sh')
-rwxr-xr-xmeta-google/recipes-google/test/test-sh/test.sh145
1 files changed, 145 insertions, 0 deletions
diff --git a/meta-google/recipes-google/test/test-sh/test.sh b/meta-google/recipes-google/test/test-sh/test.sh
new file mode 100755
index 000000000..c74029d17
--- /dev/null
+++ b/meta-google/recipes-google/test/test-sh/test.sh
@@ -0,0 +1,145 @@
+#!/bin/bash
+# Copyright 2021 Google LLC
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+source "$(dirname "$0")/lib.sh" || exit
+
+(
+ echo '## Test Pass' >&2
+ test_pass() {
+ return 0
+ }
+ main || exit
+) || exit
+
+(
+ echo '## Test Fail' >&2
+ i=0
+ test_pass1() {
+ (( i++ ))
+ return 0
+ }
+ test_fail() {
+ return 1
+ (( i++ ))
+ return 0
+ }
+ test_pass2() {
+ (( i++ ))
+ return 0
+ }
+ ! main || exit
+ (( i == 2 )) || exit
+) || exit
+
+(
+ echo '## Test Deferred Fail' >&2
+ i=0
+ test_expect_fail() {
+ test_err=1 || return
+ (( i++ ))
+ return 0
+ }
+ test_pass() {
+ (( i++ ))
+ return 0
+ }
+ ! main || exit
+ (( i == 2 )) || exit
+) || exit
+
+(
+ echo '## Test Fail' >&2
+ i=0
+ test_fail() {
+ fail 'Failed' || return
+ (( i++ ))
+ return 0
+ }
+ ! main || exit
+ (( i == 1 )) || exit
+) || exit
+
+(
+ echo '## Test Expect Err' >&2
+ i=0
+ test_expect_err() {
+ expect_err 1 false || return
+ (( i++ ))
+ return 0
+ }
+ main || exit
+ (( i == 1 )) || exit
+) || exit
+
+(
+ echo '## Test Expect Err Error' >&2
+ i=0
+ test_expect_err() {
+ expect_err 0 false || return
+ (( i++ ))
+ return 0
+ }
+ ! main || exit
+ (( i == 1 )) || exit
+) || exit
+
+(
+ echo '## Test Num EQ' >&2
+ i=0
+ test_num_eq() {
+ expect_numeq 15 0xf || return
+ expect_numeq 1 1 || return
+ (( i++ ))
+ return 0
+ }
+ main || exit
+ (( i == 1 )) || exit
+) || exit
+
+(
+ echo '## Test Num EQ Error' >&2
+ i=0
+ test_num_eq() {
+ expect_numeq 15 10 || return
+ (( i++ ))
+ return 0
+ }
+ ! main || exit
+ (( i == 1 )) || exit
+) || exit
+
+(
+ echo '## Test Str EQ' >&2
+ i=0
+ test_str_eq() {
+ expect_streq abz abz || return
+ (( i++ ))
+ return 0
+ }
+ main || exit
+ (( i == 1 )) || exit
+) || exit
+
+(
+ echo '## Test Str EQ Error' >&2
+ i=0
+ test_str_eq() {
+ expect_streq 15 0xf || return
+ (( i++ ))
+ return 0
+ }
+ ! main || exit
+ (( i == 1 )) || exit
+) || exit